<html>
<head>
<title>Ogre::Technique::GPUDeviceNameRule Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Technique.html">Technique</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html">GPUDeviceNameRule</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Technique::GPUDeviceNameRule Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Technique::GPUDeviceNameRule" -->
<p>Rule controlling whether technique is deemed supported based on GPU device name.  
 <a href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Technique_1_1GPUDeviceNameRule-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#ad912c591fde5ff1b38c2db11ae44d74c">GPUDeviceNameRule</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#a5f70092f87cc455575f83813afb0ce53">GPUDeviceNameRule</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, <a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a> ie, bool caseSen)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#a3425c07d9ce84c5a7fa0c765b7dde8db">devicePattern</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#afa5cd604584285e1d9dfe42734461673">includeOrExclude</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#a36e883f304b07d95ca55fea67f416d05">caseSensitive</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Rule controlling whether technique is deemed supported based on GPU device name. </p>

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00132">132</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad912c591fde5ff1b38c2db11ae44d74c"></a><!-- doxytag: member="Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule" ref="ad912c591fde5ff1b38c2db11ae44d74c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#ad912c591fde5ff1b38c2db11ae44d74c">Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00137">137</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5f70092f87cc455575f83813afb0ce53"></a><!-- doxytag: member="Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule" ref="a5f70092f87cc455575f83813afb0ce53" args="(const String &amp;pattern, IncludeOrExclude ie, bool caseSen)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#ad912c591fde5ff1b38c2db11ae44d74c">Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a>&#160;</td>
          <td class="paramname"><em>ie</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>caseSen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00139">139</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a36e883f304b07d95ca55fea67f416d05"></a><!-- doxytag: member="Ogre::Technique::GPUDeviceNameRule::caseSensitive" ref="a36e883f304b07d95ca55fea67f416d05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#a36e883f304b07d95ca55fea67f416d05">Ogre::Technique::GPUDeviceNameRule::caseSensitive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00136">136</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3425c07d9ce84c5a7fa0c765b7dde8db"></a><!-- doxytag: member="Ogre::Technique::GPUDeviceNameRule::devicePattern" ref="a3425c07d9ce84c5a7fa0c765b7dde8db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#a3425c07d9ce84c5a7fa0c765b7dde8db">Ogre::Technique::GPUDeviceNameRule::devicePattern</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00134">134</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa5cd604584285e1d9dfe42734461673"></a><!-- doxytag: member="Ogre::Technique::GPUDeviceNameRule::includeOrExclude" ref="afa5cd604584285e1d9dfe42734461673" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a> <a class="el" href="structOgre_1_1Technique_1_1GPUDeviceNameRule.html#afa5cd604584285e1d9dfe42734461673">Ogre::Technique::GPUDeviceNameRule::includeOrExclude</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00135">135</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
